
%define rname servicemenu-pdf

Vendor:	        MLO <http://www.mageialinux-online.org> 
Packager:	Adrien.D & david.david (MLO Team)
Name:		servicemenu-pdf-kde
Version:	0.4
Release:	%mkrel 1
Summary:	Manage and modify PDF documents using Konqueror/Dolphin (KDE4)
License:	GPLv3
Group:		Graphical desktop/KDE
URL:		http://www.kde-look.org/content/show.php/?content=37321
Source0:	www.egregorion.net/works/kde/servicemenus/pdf/%{rname}_%{version}-kde4.tar.gz
BuildRoot:	%{_tmppath}/%{rname}_%{version}-%{release}-buildroot
BuildArch:	noarch

Requires:	konqueror >= 4.0.0
Requires:	dolphin >= 4.0.0
Requires:	kdialog >= 4.0.0
Requires:	texlive-texmf
Requires:	pdftk
Requires:	poppler
Requires:	pdf2djvu
Requires:	djvulibre

%description
servicemenu-pdf is a package that extends the functionality
of Konqueror/Dolphin adding many additionally sensible menu, reachable with
right click on the files. It's similar to gnome nautilus actions.
These actions are related to pdf files.
You can join, rotate, set password, uncompressed, extract, repair, lock, 
unlock, watermark, convert to HTML, convert to images, convert to text and 
many others actions. You can convert a pdf document in booklet.

Author: Giuseppe Benigno giuseppe.benigno@egregorion.net

%prep
%setup -q -n %{rname}_%{version}-kde4

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 bin/*.sh $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus
install -m 644 desktop/*.desktop $RPM_BUILD_ROOT%{_datadir}/kde4/services/ServiceMenus

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc copyright changelog Description LICENSE
%{_bindir}/*
%{_datadir}/kde4/services/ServiceMenus


%changelog

* Thu Apr 11 2013 david.david (MLO Team) <david.david> 0.4-1.mga2
+ Rebuild package for Mageia 2
- clean "spec" file

* Thu Mar 14 2013 <katnatek> 0.7.16-1bdk.mga2
- Imported to Mageia
- Put the download link
